Try ERPNext Buy Support Partners Foundation

Error in easy installation

I am trying to install on server but got that trace out

Traceback (most recent call last):
  File "install.py.1", line 437, in <module>
    install_bench(args)
  File "install.py.1", line 241, in install_bench
    run_playbook('site.yml', sudo=True, extra_vars=extra_vars)
  File "install.py.1", line 362, in run_playbook
    success = subprocess.check_call(args, cwd=os.path.join(cwd, 'playbooks'), stdout=log_stream, stderr=sys.stderr)
  File "/usr/lib/python3.6/subprocess.py", line 311, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['ansible-playbook', '-c', 'local', 'site.yml', '-vvvv', '-e', '@/tmp/extra_vars.json', '--become', '--become-user=erpadmin']' returned non-zero exit status 2.

Blockquote

what’s going wrong???

Seems to be the same as ERPNext install fails for Ubuntu 16 due to ansible missing

What OS are you running?

i am trying to install on ubuntu 18.4 server by putty
erpadmin@erpnext:~$ sudo ansible-playbook -c local .bench/playbooks/site.yml -vvvv -e @/tmp/extra_vars.json --become --become-user=erpnext
ansible-playbook 2.9.6
config file = /etc/ansible/ansible.cfg
configured module search path = [u’/home/erpadmin/.ansible/plugins/modules’, u’/usr/share/ansible/plugins/modules’]
ansible python module location = /usr/local/lib/python2.7/dist-packages/ansible
executable location = /usr/local/bin/ansible-playbook
python version = 2.7.17 (default, Nov 7 2019, 10:07:09) [GCC 7.4.0]
Using /etc/ansible/ansible.cfg as config file
ERROR! the playbook: .bench/playbooks/site.yml could not be found

In that case look for this:

frappe@ubuntu1804lts:~/frappe-bench$ find … -name ‘site.yml’
…/bench-repo/playbooks/site.yml